using System.Collections;
using System.Web.UI.WebControls;

namespace nToolbox.Web.Controls
{
    public class SpecializedBinder
    {
        private readonly IEnumerable _DataSource;

        internal SpecializedBinder(IEnumerable dataSource)
        {
            _DataSource = dataSource;
        }

        public RepeaterBinder To(Repeater repeater)
        {
            return new RepeaterBinder(repeater, _DataSource);
        }


        public DropDownListBinder To(DropDownList ddl)
        {
            return new DropDownListBinder(_DataSource, ddl);
        }
    }
}