using System;
using System.Runtime.InteropServices;

namespace nToolbox.WinForms
{
	/// <summary>
	/// This class provides access to Win32 API functions defined in user32.dll.
	/// </summary>
	public static class User32
	{
		public const int WM_SETREDRAW = 0xB;

		[DllImport("user32.dll")]
		public static extern bool SendMessage(IntPtr hWnd, int msg, int wParam, int lParam);
	}
}
