namespace nToolbox.Core.Test.UnitTestData
{
    [System.Serializable]
    public class Person
    {
        private string _FirstName;
        private string _LastName;


        public string FirstName
        {
            get { return _FirstName; }
            set { _FirstName = value; }
        }

        public string LastName
        {
            get { return _LastName; }
            set { _LastName = value; }
        }

        public Person(string _FirstName, string _LastName)
        {
            this._FirstName = _FirstName;
            this._LastName = _LastName;
        }

        /// <summary>
        /// required for serialization
        /// </summary>
        private Person() {}

        public string FullName
        {
            get { return FirstName + " " + LastName; }
        }
    }
}