using System.Collections.Generic;
using nToolbox.Core.Test.UnitTestData;


namespace nToolbox.Core.Test.UnitTestData
{
    public class SampleData
    {
        public static List<Person> TestData()
        {
            List<Person> people = new List<Person>
                (
                new Person[]
                    {
                        new Person("Homer", "Simpson"),
                        new Person("Marge", "Simpson"),
                        new Person("Bart", "Simpson"),
                        new Person("Lisa", "Simpson"),
                        new Person("Maggie", "Simpson"),
                        new Person("Grandpa", "Simpson"),
                        new Person("Ned", "Flander"),
                        new Person("Rod", "Flander"),
                        new Person("Todd", "Flander"),
                        new Person("Kurt", "Van Houten"),
                        new Person("Luann", "Van Houten"),
                        new Person("Millhouse", "Van Houten"),
                        new Person("Karl", "Karlson"),
                        new Person("Lenny", "Leonard"),
                        new Person("Barney", "Gumble"),
                        new Person("Moe", "Siszlak"),
                        new Person("Montgomery", "Burns"),
                        new Person("Waylon", "Smithers")
                    }
                );

            return people;
        }

        public virtual Person FindPerson(string firstName, string lastName)
        {
            return TestData().Find(delegate(Person pp)
                                       {
                                           return pp.FirstName.Equals(firstName) && pp.LastName.Equals(lastName);
                                       });
        }
    }
}